﻿#ifndef ERROR_CUSTOM_H
#define ERROR_CUSTOM_H
#include "PlatformErrorCustom_JP_Japanese.h"
#include "PlatformErrorCustom_US_English.h"
#include "PlatformErrorCustom_US_French.h"
#include "PlatformErrorCustom_US_Spanish.h"
#include "PlatformErrorCustom_US_Portuguese.h"
#include "PlatformErrorCustom_EU_English.h"
#include "PlatformErrorCustom_EU_French.h"
#include "PlatformErrorCustom_EU_Spanish.h"
#include "PlatformErrorCustom_EU_Portuguese.h"
#include "PlatformErrorCustom_EU_German.h"
#include "PlatformErrorCustom_EU_Italian.h"
#include "PlatformErrorCustom_EU_Dutch.h"
#include "PlatformErrorCustom_EU_Russian.h"

enum CustomErrorArrayIndices
{
	GENERAL_FATAL_ERROR_ARRAY_INDEX	= 0,
	GENERAL_FATAL_2_ERROR_ARRAY_INDEX = 1,
	GENERAL_MESSAGE_ERROR_ARRAY_INDEX = 2,
	GENERAL_NETWORK_ERROR_ARRAY_INDEX = 3,
	GENERAL_VIDEO_LOAD_ERROR_ARRAY_INDEX = 4,
	GENERAL_AUDIO_LOAD_ERROR_ARRAY_INDEX = 5,
	GENERAL_IMAGE_LOAD_ERROR_ARRAY_INDEX = 6,
	SAVE_DATA_FULL_ERROR_ARRAY_INDEX = 7,
	SAVE_DATA_FULL_REQUIRED_ERROR_ARRAY_INDEX = 8,
	SERVER_UNAVAILABLE_ERROR_ARRAY_INDEX = 9,
	CURL_UNSUPPORTED_ERROR_ARRAY_INDEX = 10,
	CURL_PROXY_CONNECTION_ERROR_ARRAY_INDEX = 11,
	CURL_OPERATION_TIMEOUT_ERROR_ARRAY_INDEX = 12,
	OPEN_SSL_CERT_INVALID_ERROR_ARRAY_INDEX = 13,
	OPEN_SSL_ERROR_IN_CERT_ERROR_ARRAY_INDEX = 14,
	OPEN_SSL_CERT_NOT_FOUND_ERROR_ARRAY_INDEX = 15,
	OPEN_SSL_CERT_CHAIN_TOO_LONG_ERROR_ARRAY_INDEX = 16,
	OPEN_SSL_INVALID_CA_ERROR_ARRAY_INDEX = 17,
	BUTTON_CONFIRM_TEXT_ARRAY_INDEX = 18,
	BUTTON_EXIT_TEXT_ARRAY_INDEX = 19,
	GENERAL_FATAL_ERROR_MENU_ARRAY_INDEX = 20,
	BUTTON_MENU_TEXT_ARRAY_INDEX = 21,
    BUTTON_CLOSE_TEXT_ARRAY_INDEX = 22,
    BUTTON_DONE_TEXT_ARRAY_INDEX = 23,
	PROMPT_NOTIFICATION_TITLE_ARRAY_INDEX,
	USER_AUTHENTICATION_TITLE_ARRAY_INDEX,
	USER_NAME_ARRAY_INDEX,
	PASSWORD_ARRAY_INDEX,
	BUTTON_LOGIN_TEXT_ARRAY_INDEX,
	BUTTON_CANCEL_TEXT_ARRAY_INDEX,
	CUSTOM_ERROR_COUNT
};

#endif